Alexander’s Blog

October 27, 2012

Error: Installation of Microsoft Office 2010 requires that MSXML version 6.10.1129.0 be installed on your computer

by @ 4:54 pm. Filed under Microsoft Office, Tips & Tricks, Win2K Pro, Windows 2000, Windows 2003

Problem

You may have run into the following error when you try to install Microsoft Office 2010.

Setup is unable to proceed due to the following error(s):

The installation of Microsoft Office 2010 requires that MSXML version 6.10.1129.0 be installed on your computer. Install this component and re-run setup. Correct the issue(s) listed above and re-run setup.

You will usually encounter this error on older Wind0ws operating systems, such as Windows Server 2000, Windows Server 2003 and Windows XP.

Solution

Download MSXML from Microsoft’s Web site here and then re-run the Microsoft Office 2010 setup.

More Information on MSXML

The Microsoft Core XML Services (MSXML) 6.0 release provides standards-conformant implementations of:

  1. XML 1.0 (DOM & SAX2 APIs)
  2. XML Schema (XSD) 1.0
  3. XPath 1.0
  4. XSLT 1.0

In addition, it offers client and server-safe components for XML over HTTP. MSXML6 is also the first version of MSXML to provide a 64-bit redistributable package.

MSXML6 is intended as an upgrade path for existing MSXML3 and MSXML4 users except for users that leverage some of the older ProgIDs and technologies in MSXML3 and MSXML4. The following are not supported in MSXML6:

  1. DSOControl
  2. XML Data Islands
  3. XMLHTTP10, DOMDocument10, FreeThreadedDOMDocument10
  4. XDR Schemas

These technologies are currently in maintenance mode in MSXML3 and MSXML4 but will be phased out according to the life-cycle for those components.

MSXML6 will install side by side with MSXML 3 and MSXML4 and will not impact existing applications that use MSXML3 and MSXML4 (version independent ProgIDs will not point to MSXML6). Developers must move to the new “60” ProgIDS to use MSXML6 in their applications.

2 Responses to “Error: Installation of Microsoft Office 2010 requires that MSXML version 6.10.1129.0 be installed on your computer”

  1. Egzon Aliu Says:

    When I try to open (run) the setup file I get this notice: “Setup is unable to proceed due to the following error(s): The installation of Microsoft Office requires that MSXML version 6.10.1129.0 be installed on your computer. Install this component and re-run setup. Correct the issue(s) listed above and re-run setup.”

    I have downloaded the MSXML but the setup does not run. My system is Microsoft Windows XP Professional, Version 2002, SP3. What should I do in this case? What can I upgrade? Write me.Thanks for understanding and hope not to stumble you.

  2. Zubair Alexander Says:

    Hi Egzon,
    What version of Office are you trying to install? According to Microsoft, you must have Microsoft Windows Installer 3.1 (MSI 3.1) or higher on your computer. You can download v4.5 from this link: http://support.microsoft.com/kb/942288.

Leave a Reply

*

Comment spam protected by SpamBam

Spam Protection by WP-SpamFree

Contact E-mail | Terms of Use | Privacy Policy

Copyright ©2002-2013 Zubair Alexander. All rights reserved.

Internal Links

Search Blog

Categories

Archives

July 2014
M T W T F S S
« Jun    
 123456
78910111213
14151617181920
21222324252627
28293031  

RSS Feeds

TechGalaxy Visitors

29 queries. 0.511 seconds